PETSc version 3.15.5
Fix/Edit manual page

# KSPGetMonitorContext

Gets the monitoring context, as set by KSPMonitorSet() for the FIRST monitor only.

### Synopsis

    #include "petscksp.h"
    #include "petscmat.h"
    PetscErrorCode  KSPGetMonitorContext(KSP ksp,void **ctx)

Not Collective

### Input Parameter

| ksp | - iterative context obtained from KSPCreate()

### Output Parameter

| ctx | - monitoring context

### See Also

KSPMonitorResidual(), KSP

### Level

intermediate

### Location

src/ksp/ksp/interface/itfunc.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages